ObjectFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class ObjectFactory

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.hibernate.internal.jaxb.mapping.hbm package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.mapping.hbm

Method Summary
`JaxbAnyElement` | `createJaxbAnyElement()` Create an instance of `JaxbAnyElement`
`JaxbArrayElement` | `createJaxbArrayElement()` Create an instance of `JaxbArrayElement`
`JaxbBagElement` | `createJaxbBagElement()` Create an instance of `JaxbBagElement`
`JaxbCacheElement` | `createJaxbCacheElement()` Create an instance of `JaxbCacheElement`
`JaxbColumnElement` | `createJaxbColumnElement()` Create an instance of `JaxbColumnElement`
`JaxbComponentElement` | `createJaxbComponentElement()` Create an instance of `JaxbComponentElement`
`JaxbCompositeElementElement` | `createJaxbCompositeElementElement()` Create an instance of `JaxbCompositeElementElement`
`JaxbDynamicComponentElement` | `createJaxbDynamicComponentElement()` Create an instance of `JaxbDynamicComponentElement`
`JaxbElementElement` | `createJaxbElementElement()` Create an instance of `JaxbElementElement`
`JaxbFetchProfileElement` | `createJaxbFetchProfileElement()` Create an instance of `JaxbFetchProfileElement`
`JaxbFetchProfileElement.JaxbFetch` | `createJaxbFetchProfileElementJaxbFetch()` Create an instance of `JaxbFetchProfileElement.JaxbFetch`
`JaxbFilterElement` | `createJaxbFilterElement()` Create an instance of `JaxbFilterElement`
`JaxbGeneratorElement` | `createJaxbGeneratorElement()` Create an instance of `JaxbGeneratorElement`
`JaxbHibernateMapping` | `createJaxbHibernateMapping()` Create an instance of `JaxbHibernateMapping`
`JaxbHibernateMapping.JaxbClass` | `createJaxbHibernateMappingJaxbClass()` Create an instance of `JaxbHibernateMapping.JaxbClass`
`JaxbHibernateMapping.JaxbClass.JaxbCompositeId` | `createJaxbHibernateMappingJaxbClassJaxbCompositeId()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbCompositeId`
`JaxbHibernateMapping.JaxbClass.JaxbDiscriminator` | `createJaxbHibernateMappingJaxbClassJaxbDiscriminator()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbDiscriminator`
`JaxbHibernateMapping.JaxbClass.JaxbId` | `createJaxbHibernateMappingJaxbClassJaxbId()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbId`
`JaxbHibernateMapping.JaxbClass.JaxbNaturalId` | `createJaxbHibernateMappingJaxbClassJaxbNaturalId()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbNaturalId`
`JaxbHibernateMapping.JaxbClass.JaxbTimestamp` | `createJaxbHibernateMappingJaxbClassJaxbTimestamp()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbTimestamp`
`JaxbHibernateMapping.JaxbClass.JaxbVersion` | `createJaxbHibernateMappingJaxbClassJaxbVersion()` Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbVersion`
`JaxbHibernateMapping.JaxbDatabaseObject` | `createJaxbHibernateMappingJaxbDatabaseObject()` Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject`
`JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition` | `createJaxbHibernateMappingJaxbDatabaseObjectJaxbDefinition()` Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition`
`JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope` | `createJaxbHibernateMappingJaxbDatabaseObjectJaxbDialectScope()` Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope`
`JaxbHibernateMapping.JaxbFilterDef` | `createJaxbHibernateMappingJaxbFilterDef()` Create an instance of `JaxbHibernateMapping.JaxbFilterDef`
`JAXBElement<JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam>` | `createJaxbHibernateMappingJaxbFilterDefFilterParam(JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam value)` Create an instance of `JAXBElement``<``JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam``>`}
`JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam` | `createJaxbHibernateMappingJaxbFilterDefJaxbFilterParam()` Create an instance of `JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam`
`JaxbHibernateMapping.JaxbIdentifierGenerator` | `createJaxbHibernateMappingJaxbIdentifierGenerator()` Create an instance of `JaxbHibernateMapping.JaxbIdentifierGenerator`
`JaxbHibernateMapping.JaxbImport` | `createJaxbHibernateMappingJaxbImport()` Create an instance of `JaxbHibernateMapping.JaxbImport`
`JaxbHibernateMapping.JaxbTypedef` | `createJaxbHibernateMappingJaxbTypedef()` Create an instance of `JaxbHibernateMapping.JaxbTypedef`
`JaxbIdbagElement` | `createJaxbIdbagElement()` Create an instance of `JaxbIdbagElement`
`JaxbIdbagElement.JaxbCollectionId` | `createJaxbIdbagElementJaxbCollectionId()` Create an instance of `JaxbIdbagElement.JaxbCollectionId`
`JaxbIndexElement` | `createJaxbIndexElement()` Create an instance of `JaxbIndexElement`
`JaxbJoinedSubclassElement` | `createJaxbJoinedSubclassElement()` Create an instance of `JaxbJoinedSubclassElement`
`JaxbJoinElement` | `createJaxbJoinElement()` Create an instance of `JaxbJoinElement`
`JaxbKeyElement` | `createJaxbKeyElement()` Create an instance of `JaxbKeyElement`
`JaxbKeyManyToOneElement` | `createJaxbKeyManyToOneElement()` Create an instance of `JaxbKeyManyToOneElement`
`JaxbKeyPropertyElement` | `createJaxbKeyPropertyElement()` Create an instance of `JaxbKeyPropertyElement`
`JaxbListElement` | `createJaxbListElement()` Create an instance of `JaxbListElement`
`JaxbListIndexElement` | `createJaxbListIndexElement()` Create an instance of `JaxbListIndexElement`
`JaxbLoadCollectionElement` | `createJaxbLoadCollectionElement()` Create an instance of `JaxbLoadCollectionElement`
`JaxbLoaderElement` | `createJaxbLoaderElement()` Create an instance of `JaxbLoaderElement`
`JaxbManyToAnyElement` | `createJaxbManyToAnyElement()` Create an instance of `JaxbManyToAnyElement`
`JaxbManyToManyElement` | `createJaxbManyToManyElement()` Create an instance of `JaxbManyToManyElement`
`JaxbManyToOneElement` | `createJaxbManyToOneElement()` Create an instance of `JaxbManyToOneElement`
`JaxbMapElement` | `createJaxbMapElement()` Create an instance of `JaxbMapElement`
`JaxbMapElement.JaxbCompositeIndex` | `createJaxbMapElementJaxbCompositeIndex()` Create an instance of `JaxbMapElement.JaxbCompositeIndex`
`JaxbMapElement.JaxbCompositeMapKey` | `createJaxbMapElementJaxbCompositeMapKey()` Create an instance of `JaxbMapElement.JaxbCompositeMapKey`
`JaxbMapElement.JaxbIndexManyToAny` | `createJaxbMapElementJaxbIndexManyToAny()` Create an instance of `JaxbMapElement.JaxbIndexManyToAny`
`JaxbMapElement.JaxbIndexManyToMany` | `createJaxbMapElementJaxbIndexManyToMany()` Create an instance of `JaxbMapElement.JaxbIndexManyToMany`
`JaxbMapElement.JaxbMapKey` | `createJaxbMapElementJaxbMapKey()` Create an instance of `JaxbMapElement.JaxbMapKey`
`JaxbMapElement.JaxbMapKeyManyToMany` | `createJaxbMapElementJaxbMapKeyManyToMany()` Create an instance of `JaxbMapElement.JaxbMapKeyManyToMany`
`JaxbMetaElement` | `createJaxbMetaElement()` Create an instance of `JaxbMetaElement`
`JaxbMetaValueElement` | `createJaxbMetaValueElement()` Create an instance of `JaxbMetaValueElement`
`JaxbNestedCompositeElementElement` | `createJaxbNestedCompositeElementElement()` Create an instance of `JaxbNestedCompositeElementElement`
`JaxbOneToManyElement` | `createJaxbOneToManyElement()` Create an instance of `JaxbOneToManyElement`
`JaxbOneToOneElement` | `createJaxbOneToOneElement()` Create an instance of `JaxbOneToOneElement`
`JaxbParamElement` | `createJaxbParamElement()` Create an instance of `JaxbParamElement`
`JaxbParentElement` | `createJaxbParentElement()` Create an instance of `JaxbParentElement`
`JaxbPrimitiveArrayElement` | `createJaxbPrimitiveArrayElement()` Create an instance of `JaxbPrimitiveArrayElement`
`JaxbPropertiesElement` | `createJaxbPropertiesElement()` Create an instance of `JaxbPropertiesElement`
`JaxbPropertyElement` | `createJaxbPropertyElement()` Create an instance of `JaxbPropertyElement`
`JaxbQueryElement` | `createJaxbQueryElement()` Create an instance of `JaxbQueryElement`
`JAXBElement<JaxbQueryParamElement>` | `createJaxbQueryElementQueryParam(JaxbQueryParamElement value)` Create an instance of `JAXBElement``<``JaxbQueryParamElement``>`}
`JaxbQueryParamElement` | `createJaxbQueryParamElement()` Create an instance of `JaxbQueryParamElement`
`JaxbResultsetElement` | `createJaxbResultsetElement()` Create an instance of `JaxbResultsetElement`
`JaxbReturnElement` | `createJaxbReturnElement()` Create an instance of `JaxbReturnElement`
`JaxbReturnElement.JaxbReturnDiscriminator` | `createJaxbReturnElementJaxbReturnDiscriminator()` Create an instance of `JaxbReturnElement.JaxbReturnDiscriminator`
`JaxbReturnJoinElement` | `createJaxbReturnJoinElement()` Create an instance of `JaxbReturnJoinElement`
`JaxbReturnPropertyElement` | `createJaxbReturnPropertyElement()` Create an instance of `JaxbReturnPropertyElement`
`JaxbReturnPropertyElement.JaxbReturnColumn` | `createJaxbReturnPropertyElementJaxbReturnColumn()` Create an instance of `JaxbReturnPropertyElement.JaxbReturnColumn`
`JaxbReturnScalarElement` | `createJaxbReturnScalarElement()` Create an instance of `JaxbReturnScalarElement`
`JaxbSetElement` | `createJaxbSetElement()` Create an instance of `JaxbSetElement`
`JaxbSqlDeleteAllElement` | `createJaxbSqlDeleteAllElement()` Create an instance of `JaxbSqlDeleteAllElement`
`JaxbSqlDeleteElement` | `createJaxbSqlDeleteElement()` Create an instance of `JaxbSqlDeleteElement`
`JaxbSqlInsertElement` | `createJaxbSqlInsertElement()` Create an instance of `JaxbSqlInsertElement`
`JaxbSqlQueryElement` | `createJaxbSqlQueryElement()` Create an instance of `JaxbSqlQueryElement`
`JAXBElement<JaxbLoadCollectionElement>` | `createJaxbSqlQueryElementLoadCollection(JaxbLoadCollectionElement value)` Create an instance of `JAXBElement``<``JaxbLoadCollectionElement``>`}
`JAXBElement<JaxbQueryParamElement>` | `createJaxbSqlQueryElementQueryParam(JaxbQueryParamElement value)` Create an instance of `JAXBElement``<``JaxbQueryParamElement``>`}
`JAXBElement<JaxbReturnElement>` | `createJaxbSqlQueryElementReturn(JaxbReturnElement value)` Create an instance of `JAXBElement``<``JaxbReturnElement``>`}
`JAXBElement<JaxbReturnJoinElement>` | `createJaxbSqlQueryElementReturnJoin(JaxbReturnJoinElement value)` Create an instance of `JAXBElement``<``JaxbReturnJoinElement``>`}
`JAXBElement<JaxbReturnScalarElement>` | `createJaxbSqlQueryElementReturnScalar(JaxbReturnScalarElement value)` Create an instance of `JAXBElement``<``JaxbReturnScalarElement``>`}
`JAXBElement<JaxbSynchronizeElement>` | `createJaxbSqlQueryElementSynchronize(JaxbSynchronizeElement value)` Create an instance of `JAXBElement``<``JaxbSynchronizeElement``>`}
`JaxbSqlUpdateElement` | `createJaxbSqlUpdateElement()` Create an instance of `JaxbSqlUpdateElement`
`JaxbSubclassElement` | `createJaxbSubclassElement()` Create an instance of `JaxbSubclassElement`
`JaxbSynchronizeElement` | `createJaxbSynchronizeElement()` Create an instance of `JaxbSynchronizeElement`
`JaxbTuplizerElement` | `createJaxbTuplizerElement()` Create an instance of `JaxbTuplizerElement`
`JaxbTypeElement` | `createJaxbTypeElement()` Create an instance of `JaxbTypeElement`
`JaxbUnionSubclassElement` | `createJaxbUnionSubclassElement()` Create an instance of `JaxbUnionSubclassElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.mapping.hbm

Method Detail

### createJaxbHibernateMappingJaxbClassJaxbTimestamp

    public JaxbHibernateMapping.JaxbClass.JaxbTimestamp createJaxbHibernateMappingJaxbClassJaxbTimestamp()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbTimestamp`

### createJaxbHibernateMappingJaxbImport

    public JaxbHibernateMapping.JaxbImport createJaxbHibernateMappingJaxbImport()

  Create an instance of `JaxbHibernateMapping.JaxbImport`

### createJaxbManyToOneElement

    public JaxbManyToOneElement createJaxbManyToOneElement()

  Create an instance of `JaxbManyToOneElement`

### createJaxbQueryParamElement

    public JaxbQueryParamElement createJaxbQueryParamElement()

  Create an instance of `JaxbQueryParamElement`

### createJaxbHibernateMappingJaxbClass

    public JaxbHibernateMapping.JaxbClass createJaxbHibernateMappingJaxbClass()

  Create an instance of `JaxbHibernateMapping.JaxbClass`

### createJaxbListElement

    public JaxbListElement createJaxbListElement()

  Create an instance of `JaxbListElement`

### createJaxbManyToManyElement

    public JaxbManyToManyElement createJaxbManyToManyElement()

  Create an instance of `JaxbManyToManyElement`

### createJaxbResultsetElement

    public JaxbResultsetElement createJaxbResultsetElement()

  Create an instance of `JaxbResultsetElement`

### createJaxbMapElementJaxbMapKeyManyToMany

    public JaxbMapElement.JaxbMapKeyManyToMany createJaxbMapElementJaxbMapKeyManyToMany()

  Create an instance of `JaxbMapElement.JaxbMapKeyManyToMany`

### createJaxbParentElement

    public JaxbParentElement createJaxbParentElement()

  Create an instance of `JaxbParentElement`

### createJaxbPropertyElement

    public JaxbPropertyElement createJaxbPropertyElement()

  Create an instance of `JaxbPropertyElement`

### createJaxbJoinElement

    public JaxbJoinElement createJaxbJoinElement()

  Create an instance of `JaxbJoinElement`

### createJaxbSqlUpdateElement

    public JaxbSqlUpdateElement createJaxbSqlUpdateElement()

  Create an instance of `JaxbSqlUpdateElement`

### createJaxbSqlDeleteElement

    public JaxbSqlDeleteElement createJaxbSqlDeleteElement()

  Create an instance of `JaxbSqlDeleteElement`

### createJaxbParamElement

    public JaxbParamElement createJaxbParamElement()

  Create an instance of `JaxbParamElement`

### createJaxbHibernateMappingJaxbIdentifierGenerator

    public JaxbHibernateMapping.JaxbIdentifierGenerator createJaxbHibernateMappingJaxbIdentifierGenerator()

  Create an instance of `JaxbHibernateMapping.JaxbIdentifierGenerator`

### createJaxbPropertiesElement

    public JaxbPropertiesElement createJaxbPropertiesElement()

  Create an instance of `JaxbPropertiesElement`

### createJaxbLoadCollectionElement

    public JaxbLoadCollectionElement createJaxbLoadCollectionElement()

  Create an instance of `JaxbLoadCollectionElement`

### createJaxbOneToManyElement

    public JaxbOneToManyElement createJaxbOneToManyElement()

  Create an instance of `JaxbOneToManyElement`

### createJaxbKeyPropertyElement

    public JaxbKeyPropertyElement createJaxbKeyPropertyElement()

  Create an instance of `JaxbKeyPropertyElement`

### createJaxbHibernateMappingJaxbFilterDef

    public JaxbHibernateMapping.JaxbFilterDef createJaxbHibernateMappingJaxbFilterDef()

  Create an instance of `JaxbHibernateMapping.JaxbFilterDef`

### createJaxbSqlInsertElement

    public JaxbSqlInsertElement createJaxbSqlInsertElement()

  Create an instance of `JaxbSqlInsertElement`

### createJaxbCacheElement

    public JaxbCacheElement createJaxbCacheElement()

  Create an instance of `JaxbCacheElement`

### createJaxbReturnPropertyElementJaxbReturnColumn

    public JaxbReturnPropertyElement.JaxbReturnColumn createJaxbReturnPropertyElementJaxbReturnColumn()

  Create an instance of `JaxbReturnPropertyElement.JaxbReturnColumn`

### createJaxbManyToAnyElement

    public JaxbManyToAnyElement createJaxbManyToAnyElement()

  Create an instance of `JaxbManyToAnyElement`

### createJaxbDynamicComponentElement

    public JaxbDynamicComponentElement createJaxbDynamicComponentElement()

  Create an instance of `JaxbDynamicComponentElement`

### createJaxbOneToOneElement

    public JaxbOneToOneElement createJaxbOneToOneElement()

  Create an instance of `JaxbOneToOneElement`

### createJaxbKeyElement

    public JaxbKeyElement createJaxbKeyElement()

  Create an instance of `JaxbKeyElement`

### createJaxbSqlDeleteAllElement

    public JaxbSqlDeleteAllElement createJaxbSqlDeleteAllElement()

  Create an instance of `JaxbSqlDeleteAllElement`

### createJaxbReturnElementJaxbReturnDiscriminator

    public JaxbReturnElement.JaxbReturnDiscriminator createJaxbReturnElementJaxbReturnDiscriminator()

  Create an instance of `JaxbReturnElement.JaxbReturnDiscriminator`

### createJaxbElementElement

    public JaxbElementElement createJaxbElementElement()

  Create an instance of `JaxbElementElement`

### createJaxbBagElement

    public JaxbBagElement createJaxbBagElement()

  Create an instance of `JaxbBagElement`

### createJaxbSynchronizeElement

    public JaxbSynchronizeElement createJaxbSynchronizeElement()

  Create an instance of `JaxbSynchronizeElement`

### createJaxbIdbagElement

    public JaxbIdbagElement createJaxbIdbagElement()

  Create an instance of `JaxbIdbagElement`

### createJaxbMapElementJaxbMapKey

    public JaxbMapElement.JaxbMapKey createJaxbMapElementJaxbMapKey()

  Create an instance of `JaxbMapElement.JaxbMapKey`

### createJaxbGeneratorElement

    public JaxbGeneratorElement createJaxbGeneratorElement()

  Create an instance of `JaxbGeneratorElement`

### createJaxbIndexElement

    public JaxbIndexElement createJaxbIndexElement()

  Create an instance of `JaxbIndexElement`

### createJaxbFetchProfileElementJaxbFetch

    public JaxbFetchProfileElement.JaxbFetch createJaxbFetchProfileElementJaxbFetch()

  Create an instance of `JaxbFetchProfileElement.JaxbFetch`

### createJaxbReturnElement

    public JaxbReturnElement createJaxbReturnElement()

  Create an instance of `JaxbReturnElement`

### createJaxbComponentElement

    public JaxbComponentElement createJaxbComponentElement()

  Create an instance of `JaxbComponentElement`

### createJaxbMapElementJaxbIndexManyToMany

    public JaxbMapElement.JaxbIndexManyToMany createJaxbMapElementJaxbIndexManyToMany()

  Create an instance of `JaxbMapElement.JaxbIndexManyToMany`

### createJaxbHibernateMappingJaxbClassJaxbDiscriminator

    public JaxbHibernateMapping.JaxbClass.JaxbDiscriminator createJaxbHibernateMappingJaxbClassJaxbDiscriminator()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbDiscriminator`

### createJaxbArrayElement

    public JaxbArrayElement createJaxbArrayElement()

  Create an instance of `JaxbArrayElement`

### createJaxbKeyManyToOneElement

    public JaxbKeyManyToOneElement createJaxbKeyManyToOneElement()

  Create an instance of `JaxbKeyManyToOneElement`

### createJaxbHibernateMappingJaxbDatabaseObjectJaxbDialectScope

    public JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope createJaxbHibernateMappingJaxbDatabaseObjectJaxbDialectScope()

  Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope`

### createJaxbListIndexElement

    public JaxbListIndexElement createJaxbListIndexElement()

  Create an instance of `JaxbListIndexElement`

### createJaxbFilterElement

    public JaxbFilterElement createJaxbFilterElement()

  Create an instance of `JaxbFilterElement`

### createJaxbUnionSubclassElement

    public JaxbUnionSubclassElement createJaxbUnionSubclassElement()

  Create an instance of `JaxbUnionSubclassElement`

### createJaxbHibernateMappingJaxbDatabaseObjectJaxbDefinition

    public JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition createJaxbHibernateMappingJaxbDatabaseObjectJaxbDefinition()

  Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition`

### createJaxbMetaElement

    public JaxbMetaElement createJaxbMetaElement()

  Create an instance of `JaxbMetaElement`

### createJaxbTuplizerElement

    public JaxbTuplizerElement createJaxbTuplizerElement()

  Create an instance of `JaxbTuplizerElement`

### createJaxbIdbagElementJaxbCollectionId

    public JaxbIdbagElement.JaxbCollectionId createJaxbIdbagElementJaxbCollectionId()

  Create an instance of `JaxbIdbagElement.JaxbCollectionId`

### createJaxbMapElement

    public JaxbMapElement createJaxbMapElement()

  Create an instance of `JaxbMapElement`

### createJaxbHibernateMappingJaxbFilterDefJaxbFilterParam

    public JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam createJaxbHibernateMappingJaxbFilterDefJaxbFilterParam()

  Create an instance of `JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam`

### createJaxbFetchProfileElement

    public JaxbFetchProfileElement createJaxbFetchProfileElement()

  Create an instance of `JaxbFetchProfileElement`

### createJaxbReturnJoinElement

    public JaxbReturnJoinElement createJaxbReturnJoinElement()

  Create an instance of `JaxbReturnJoinElement`

### createJaxbReturnPropertyElement

    public JaxbReturnPropertyElement createJaxbReturnPropertyElement()

  Create an instance of `JaxbReturnPropertyElement`

### createJaxbJoinedSubclassElement

    public JaxbJoinedSubclassElement createJaxbJoinedSubclassElement()

  Create an instance of `JaxbJoinedSubclassElement`

### createJaxbHibernateMappingJaxbClassJaxbId

    public JaxbHibernateMapping.JaxbClass.JaxbId createJaxbHibernateMappingJaxbClassJaxbId()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbId`

### createJaxbSqlQueryElement

    public JaxbSqlQueryElement createJaxbSqlQueryElement()

  Create an instance of `JaxbSqlQueryElement`

### createJaxbMapElementJaxbCompositeMapKey

    public JaxbMapElement.JaxbCompositeMapKey createJaxbMapElementJaxbCompositeMapKey()

  Create an instance of `JaxbMapElement.JaxbCompositeMapKey`

### createJaxbNestedCompositeElementElement

    public JaxbNestedCompositeElementElement createJaxbNestedCompositeElementElement()

  Create an instance of `JaxbNestedCompositeElementElement`

### createJaxbHibernateMapping

    public JaxbHibernateMapping createJaxbHibernateMapping()

  Create an instance of `JaxbHibernateMapping`

### createJaxbHibernateMappingJaxbClassJaxbCompositeId

    public JaxbHibernateMapping.JaxbClass.JaxbCompositeId createJaxbHibernateMappingJaxbClassJaxbCompositeId()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbCompositeId`

### createJaxbHibernateMappingJaxbDatabaseObject

    public JaxbHibernateMapping.JaxbDatabaseObject createJaxbHibernateMappingJaxbDatabaseObject()

  Create an instance of `JaxbHibernateMapping.JaxbDatabaseObject`

### createJaxbLoaderElement

    public JaxbLoaderElement createJaxbLoaderElement()

  Create an instance of `JaxbLoaderElement`

### createJaxbMapElementJaxbCompositeIndex

    public JaxbMapElement.JaxbCompositeIndex createJaxbMapElementJaxbCompositeIndex()

  Create an instance of `JaxbMapElement.JaxbCompositeIndex`

### createJaxbSetElement

    public JaxbSetElement createJaxbSetElement()

  Create an instance of `JaxbSetElement`

### createJaxbCompositeElementElement

    public JaxbCompositeElementElement createJaxbCompositeElementElement()

  Create an instance of `JaxbCompositeElementElement`

### createJaxbAnyElement

    public JaxbAnyElement createJaxbAnyElement()

  Create an instance of `JaxbAnyElement`

### createJaxbMetaValueElement

    public JaxbMetaValueElement createJaxbMetaValueElement()

  Create an instance of `JaxbMetaValueElement`

### createJaxbPrimitiveArrayElement

    public JaxbPrimitiveArrayElement createJaxbPrimitiveArrayElement()

  Create an instance of `JaxbPrimitiveArrayElement`

### createJaxbHibernateMappingJaxbClassJaxbVersion

    public JaxbHibernateMapping.JaxbClass.JaxbVersion createJaxbHibernateMappingJaxbClassJaxbVersion()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbVersion`

### createJaxbMapElementJaxbIndexManyToAny

    public JaxbMapElement.JaxbIndexManyToAny createJaxbMapElementJaxbIndexManyToAny()

  Create an instance of `JaxbMapElement.JaxbIndexManyToAny`

### createJaxbSubclassElement

    public JaxbSubclassElement createJaxbSubclassElement()

  Create an instance of `JaxbSubclassElement`

### createJaxbHibernateMappingJaxbTypedef

    public JaxbHibernateMapping.JaxbTypedef createJaxbHibernateMappingJaxbTypedef()

  Create an instance of `JaxbHibernateMapping.JaxbTypedef`

### createJaxbTypeElement

    public JaxbTypeElement createJaxbTypeElement()

  Create an instance of `JaxbTypeElement`

### createJaxbColumnElement

    public JaxbColumnElement createJaxbColumnElement()

  Create an instance of `JaxbColumnElement`

### createJaxbQueryElement

    public JaxbQueryElement createJaxbQueryElement()

  Create an instance of `JaxbQueryElement`

### createJaxbHibernateMappingJaxbClassJaxbNaturalId

    public JaxbHibernateMapping.JaxbClass.JaxbNaturalId createJaxbHibernateMappingJaxbClassJaxbNaturalId()

  Create an instance of `JaxbHibernateMapping.JaxbClass.JaxbNaturalId`

### createJaxbReturnScalarElement

    public JaxbReturnScalarElement createJaxbReturnScalarElement()

  Create an instance of `JaxbReturnScalarElement`

### createJaxbSqlQueryElementReturn

    public JAXBElement<JaxbReturnElement> createJaxbSqlQueryElementReturn(JaxbReturnElement value)

  Create an instance of `JAXBElement``<``JaxbReturnElement``>`}

### createJaxbSqlQueryElementSynchronize

    public JAXBElement<JaxbSynchronizeElement> createJaxbSqlQueryElementSynchronize(JaxbSynchronizeElement value)

  Create an instance of `JAXBElement``<``JaxbSynchronizeElement``>`}

### createJaxbSqlQueryElementReturnJoin

    public JAXBElement<JaxbReturnJoinElement> createJaxbSqlQueryElementReturnJoin(JaxbReturnJoinElement value)

  Create an instance of `JAXBElement``<``JaxbReturnJoinElement``>`}

### createJaxbSqlQueryElementReturnScalar

    public JAXBElement<JaxbReturnScalarElement> createJaxbSqlQueryElementReturnScalar(JaxbReturnScalarElement value)

  Create an instance of `JAXBElement``<``JaxbReturnScalarElement``>`}

### createJaxbSqlQueryElementQueryParam

    public JAXBElement<JaxbQueryParamElement> createJaxbSqlQueryElementQueryParam(JaxbQueryParamElement value)

  Create an instance of `JAXBElement``<``JaxbQueryParamElement``>`}

### createJaxbSqlQueryElementLoadCollection

    public JAXBElement<JaxbLoadCollectionElement> createJaxbSqlQueryElementLoadCollection(JaxbLoadCollectionElement value)

  Create an instance of `JAXBElement``<``JaxbLoadCollectionElement``>`}

### createJaxbQueryElementQueryParam

    public JAXBElement<JaxbQueryParamElement> createJaxbQueryElementQueryParam(JaxbQueryParamElement value)

  Create an instance of `JAXBElement``<``JaxbQueryParamElement``>`}

### createJaxbHibernateMappingJaxbFilterDefFilterParam

    public JAXBElement<JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam> createJaxbHibernateMappingJaxbFilterDefFilterParam(JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam value)

  Create an instance of `JAXBElement``<``JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.